import pytest
from virgotools import vpm as vpm_module  # avoid name clash

@pytest.fixture
def vpm():
    return vpm_module.VPM('DAQ')

@pytest.mark.skipif("DAQ" not in vpm_module.defaults.VPM_alias.keys(),reason="DAQ xml is not available")
def test_proc(vpm):
    procname ='LSC_Acl'  # parameterize
    cfgfile = '/virgoData/VirgoOnline/LSC_Acl.cfg'
    procs = vpm.procs


    # attr lookup
    assert getattr(procs, procname) is procs[procname]

    proc = procs[procname]
    assert proc.config == cfgfile
    assert proc.name == procname

@pytest.mark.skipif("DAQ" not in vpm_module.defaults.VPM_alias.keys(),reason="DAQ xml is not available")
def test_vpm_status():
    procname = 'LSC_Acl'  # parameterize
    status = vpm_module.vpm_status()
    assert procname in status